#ifndef GR_LOCALIZATION_POSE_H
#define GR_LOCALIZATION_POSE_H

#include <string>

using std::string;
#include <interfaces/LocalizationPose/LocalizationPose.h>

class GrLocalizationPose {
  public:
    GrLocalizationPose(string p_name);
    string getGreeting();
	  bool readBlob(std::string p_blob, bool p_printRecord = false);
	  double posePositionX();
	  double posePositionY();
	  double posePositionZ();
	  double poseQuaternionX();
	  double poseQuaternionY();
	  double poseQuaternionZ();
	  double poseQuaternionW();

  private:
  public:
    LocalizationPose m_localizationPose;
    string m_name = "GrLocalizationPose";
};
#endif
