#include <Clock/SystemClockUtils.h>
#include <LatencyLoggerViaProgressReporter.h>
#include <ProgressReporter/ProgressReporter.h>
#include <config/ConfigParser.h>
#include <utility/utility.h>

#include <sstream>

namespace av {

void initLatencyLoggerViaProgressReporter()
{
    ConfigParser parser;
    ConfigSection config;
    parser.parseString("Parameters = {\n"
                       "  logLatencyName = \"ProgressReporter\";\n"
                       "  logLatency = True;\n"
                       "}\n");
    parser.getSection("Parameters", config);

    LatencyLogger::initialize(config);
}
} // namespace av
