## Example Config

```
# Top level section in .cfg file.
Metrics = 
{
    # Global metrics config values defined here.
    windowSize = 10; # Number of windows per metric.  Applied to all channel latency and bandwidth windows
    intervalInMilliseconds = 1000; # Time per window.  Applied to all channel latency and bandwidth windows
    autoPublish = true|false; # True to send all metrics for all channels as they come available .  (Default false)
    TopicName1 = 
    {
        # All constraints below are optional.  When specified, they define the publish criteria
        # for the specific channel/topic.
        maxJitter = <double>; 
        maxBandwidth = <double>;
        minBandwidth = <double>;
        maxLatency = <double>;
        autoPublish = true|false;  # Publishes ALL metrics for the given channel, as they come available.
    };
    TopicName2 = 
    {
        # Enables NetworkMetricsAlertMessage publishing if no message is published on TopicName2 within 3 seconds.
        alertExpectedHz = 1;  
    };
};
```
