/// @copyright Copyright (c) 2022- Motional. All rights reserved.
///
/// NOTICE: Removing this heading is prohibited.
///
/// All information contained herein is, and remains the property of Motional,
/// its affiliates, and its suppliers (if any). The intellectual and technical
/// concepts contained herein are proprietary to Motional, its affiliates, and
/// its suppliers (if any) and may be covered by U.S. and Foreign Patents,
/// patents in process, and are protected by trade secrets or copyright law.
/// Dissemination of this information or reproduction of this material is
/// strictly forbidden unless prior written permission is obtained from Motional.

#include "platform/middleware/libs/Networking/include/Networking/Network.h"

#include <gtest/gtest.h>

namespace {

TEST(NetworkingTest, getHostNameOutParam)
{
    std::string hostName{""};
    const auto success = net::getHostMachineName(hostName);
    EXPECT_TRUE(success);
}

TEST(NetworkingTest, getHostName)
{
    const auto hostName = net::getHostMachineName();
    // We can't assert any specific hostname value reliably in CI. The hostname could actually be 'unknown' at some
    // point so we can't EXPECT that it isn't
    SUCCEED();
}

} // namespace
