/**
 * \copyright
 * Copyright (c) 2020- Motional. All rights reserved.
 * NOTICE: Removing this heading is prohibited.
 * All information contained herein is, and remains the property of Motional, its affiliates, and its suppliers (if
 * any). The intellectual and technical concepts contained herein are proprietary to Motional, its affiliates, and its
 * suppliers (if any) and may be covered by U.S. and Foreign Patents, patents in process, and are protected by trade
 * secrets or copyright law. Dissemination of this information or reproduction of this material is strictly forbidden
 * unless prior written permission is obtained from Motional.
 *
 * \file  ProgressReporterDiagnosticsMsg.hpp
 * \brief Provides text messages that could be logged by task framework at run-time for postmortem analysis by
 * other tools (resim)
 */

#pragma once

#define COMMON_DIAGNOSTICS_MSG_TEST "COMMON DIAGNOSTICS MESSAGE"

#define PROGRESS_MSG_OS_BOOT_COMPLETE "OS_BOOT_COMPLETE"
#define PROGRESS_MSG_STACK_BOOT_COMPLETE "STACK_BOOT_COMPLETE"
#define PROGRESS_MSG_TASK_INITIALIZED "TASK_INITIALIZED"
#define PROGRESS_MSG_TASK_INITIALIZATION_FAILED "TASK_INITIALIZATION_FAILED"
#define PROGRESS_MSG_TASK_STARTED "TASK_STARTED"
#define PROGRESS_MSG_TASK_EXITED "TASK_EXITED"
#define PROGRESS_MSG_PROCESS_STARTED "PROCESS_STARTED"
#define PROGRESS_MSG_SERVICE_AVAILABLE "SERVICE_AVAILABLE"
#define PROGRESS_MSG_LATENCY_EVENT "LATENCY_EVENT"
