/*!
 ***********************************************************
 * @file Constants.h
 * @brief A file defining a few variables as macros.
 *
 * @section License
 *
 * Copyright (c) 2015- Delphi Automotive. All rights
 * reserved.
 *
 * @section changeLogs Change Logs
 *
 ***********************************************************
 */

/**********************************************************
  Copyright (c) 2014-2015 Ottomatika, Inc.
 **********************************************************/

/**********************************************************
  Simple Comms
  Copyright (c) 2010-2013 Carnegie Mellon University,
  All rights reserved.

  This source code was developed in part with support from
  sponsors including General Motors, the National Science
  Foundation and the US Department of Transportation.

  Use of this software is strictly governed by agreements
  between Carnegie Mellon University and various sponsors.

  Users of this software must also be fully aware and agree
  that Carnegie Mellon does not guarantee the correct
  functioning of this software in any system. Carnegie
  Mellon or any of its affiliates will not be liable for any
  damage and/or penalties resulting from the use of this
  software. Any user of this software takes complete
  responsibility for the use of any software or design.
 **********************************************************/

/*
 * Constants.h
 * Tugrul Galatali
 * 02/10/2007
 *
 * Copyright (C) 2007
 * Carnegie Mellon University
 * All rights reserved
 */
#ifndef _SIMPLECOMMS_CONSTANTS_H_
#define _SIMPLECOMMS_CONSTANTS_H_

#define MAX_NULL_TERM_CHANNEL_NAME 64
#define MAX_NULL_TERM_CLIENT_NAME 64
#define HOST_NAME_MAX 64
#define MAX_FRAGMENT_PAYLOAD 64000U

#define MAX_PUB_LIST_CHANNELS 998

#define SIMPLECOMMS_INTERNAL_TAG "#"
#define SIMPLECOMMS_CONTROL_CHANNEL SIMPLECOMMS_INTERNAL_TAG "ScsControl"
#define SIMPLECOMMS_PUBLISHLIST_CHANNEL SIMPLECOMMS_INTERNAL_TAG "ScsPublished"
#define SIMPLECOMMS_STATS_CHANNEL SIMPLECOMMS_INTERNAL_TAG "ScsStats"

#endif
