Trying SMS
==========

For an overview of the design and goals of SMS, refer to the [SMS Design](https://confluence.ci.motional.com/confluence/display/SI/SMS%3A+Simple+Metrics+System)

## Initializing SMS

Before `TraceEvent` messages can be published or logged, `TraceClient` must be initialized with an `SmsLogger` via `TraceClient::initialize`.

_NOTE: Any macros executed before SMS is initialized are ignored._

### Logging `TraceEvent` messages with AvLog

To log `TraceEvent` messages to a file using `AvLog`, create an `AvlogSmsLogger` and initialize SMS with:

    `TraceClient::initialize`

## Generating Metrics

Include the file `Sms.h` in the translation unit where metrics will be generated.  Add the `AV_TRACE_*` macros to 
area(s) of interest.  Refer to The macro API descriptions and design link above for more details.


