#ifndef _TASK_ALLOC_H_
#define _TASK_ALLOC_H_

#ifdef __cplusplus
extern "C"
{
#endif

    void alloc_write_report();

    typedef struct AllocStatsStruct
    {
        long total_dsec;
        long total_dusec;
        unsigned long numMallocs;
        unsigned long numFrees;
    } AllocStats;

    void alloc_fetch_stats(AllocStats* stats);

#ifdef __cplusplus
}
#endif

#endif // _TASK_ALLOC_H_
