/**
 * \copyright
 * Copyright (c) 2020- Motional. All rights reserved.
 * NOTICE: Removing this heading is prohibited.
 * All information contained herein is, and remains the property of Motional and its suppliers, if any.
 * The intellectual and technical concepts contained herein are proprietary to Motional and its suppliers and may be
 * covered by U.S. and Foreign Patents, patents in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material is strictly forbidden unless prior written
 * permission is obtained from Motional.
 *
 * \brief Declares types for use in unit tests for BackupRecoveryHandler
 */

#ifndef BACKUP_RECOVERY_TEST_H
#define BACKUP_RECOVERY_TEST_H

#include <TestUtils/MockInterfaces.hpp>
#include <interfaces/SaferCommand/SaferCommand.h>
#include <interfaces/SaferResponse/SaferResponse.h>

namespace BRHTest {

using MockSaferCommandInput = TestUtils::MockGenericInput<av::msg::SaferCommand>;
using MockSaferResponseOutput = TestUtils::MockGenericOutput<av::msg::SaferResponse>;

} // namespace BRHTest

#endif // BACKUP_RECOVERY_TEST_H
