# DDS av-stack wrapper types

## Cyclone Types
Created with: 'origin/stable-internal'

cyclonedds: 
```
commit fd0576283b7ba09e6a10dc3f74677dc78b873373 (HEAD -> stable-internal, tag: 20220210-stable-internal, origin/stable-internal, origin/internal-20220204, origin/HEAD)
```
cyclonedds-cxx:
```
commit 17cbbb31fb6d5d6a1f60bbf82fd70736f30021fe (HEAD -> stable-internal, tag: 20220210-stable-internal, origin/stable-internal, origin/HEAD)
```

```
./cyclonedds/install/bin/idlc -l ./cyclonedds-cxx/install/lib/libcycloneddsidlcxx.so -d ~/av-stack/platform/middleware/libs/DDSComms/types/cyclone/ ~/av-stack/platform/middleware/libs/DDSComms/types/UserBytesTopicType.idl 
```

## RTI DDS Types
Created with RTI DDS 6.0.1, x86_64
```
~/rti_connext_dds-6.0.1/bin/rtiddsgen -language C++11  -d ~/av-stack/platform/middleware/libs/DDSComms/types/rtipro/ ~/av-stack/platform/middleware/libs/DDSComms/types/UserBytesTopicType.idl  -unboundedSupport
```
For more details, see RTI documentation. 
### Note on unbounded support
Note that the flag  `-unboundedSupport` necessitates certain QoS policies:
- dds.data_writer.history.memory_manager.fast_pool.pool_buffer_max_size > 0 OR -1
- dds.data_reader.history.memory_manager.fast_pool.pool_buffer_max_size > 0 OR -1
- reader_resource_limits.dynamically_allocate_fragmented_samples = true
