/**
 * \copyright
 * Copyright (c) 2021- Motional. All rights reserved.
 * NOTICE: Removing this heading is prohibited.
 * All information contained herein is, and remains the property of Motional, its affiliates, and its suppliers (if
 * any). The intellectual and technical concepts contained herein are proprietary to Motional, its affiliates, and its
 * suppliers (if any) and may be covered by U.S. and Foreign Patents, patents in process, and are protected by trade
 * secrets or copyright law. Dissemination of this information or reproduction of this material is strictly forbidden
 * unless prior written permission is obtained from Motional.
 */
#ifndef _IDLUTILS_EStopStatus_H_
#define _IDLUTILS_EStopStatus_H_

#include <interfaces/EStopStatus/EStopStatus.h>

namespace av {
namespace msg {
namespace utils {

inline bool isAutonomous(const EStopStatus& ess)
{
    // return !ess.manualOverride && ess.enabled && ess.run;
    return !ess.manualOverride;
}

} // namespace utils
} // namespace msg
} // namespace av

#endif // _IDLUTILS_EStopStatus_H_
