/**
 * \copyright
 * Copyright (c) 2021- Motional. All rights reserved.
 * NOTICE: Removing this heading is prohibited.
 * All information contained herein is, and remains the property of Motional, its affiliates, and its suppliers (if
 * any). The intellectual and technical concepts contained herein are proprietary to Motional, its affiliates, and its
 * suppliers (if any) and may be covered by U.S. and Foreign Patents, patents in process, and are protected by trade
 * secrets or copyright law. Dissemination of this information or reproduction of this material is strictly forbidden
 * unless prior written permission is obtained from Motional.
 */

#pragma once

#include <interfaces/KingCommand/KingCommand.h>

#include <unistd.h>

namespace av {
namespace msg {
namespace utils {

/**
 * @brief sets name of the sender with hostname of the computer
 */
inline void setSenderAsLocalHost(av::msg::KingCommand& msg)
{
    char name[1024];
    gethostname(name, 1023);
    msg.sender_.assign(name);
}

} // namespace utils
} // namespace msg
} // namespace av
