/*!
 ***********************************************************************************************************************
 * APTIV PRIVILEGED AND CONFIDENTIAL
 *
 * @file ImageUtility/CommonImageTypes.h
 * @product <Subsystem name>
 * @version <Release Number>
 * @released <date>
 * @updated <date>
 * @brief Common image types used across multiple software modules.
 *
 * This is a detailed description of the file that spans several lines and characterizes the basic functionality
 * of the class.
 *
 * @sa Optional Reference
 *
 * @section License
 *
 * Copyright (c) 2019- Aptiv. All rights reserved.
 * NOTE: Removing this heading is prohibited.
 *
 * @section Open Source License List
 *
 * This is a list of any open-source project used by this file.
 ***********************************************************************************************************************
 */

#ifndef _COMMON_IMAGE_TYPES_H_
#define _COMMON_IMAGE_TYPES_H_

namespace commonImageTypes {
enum class STATUS_TYPE
{
    UNKNOWN_STATUS = 0,
    FIXED_SCHED = 1,
    FREE_RUN = 2,
    RESUMING_FIXED_SCHED = 3,
    CONSECUTIVE_DROP = 4,
    EMPTY_STT_TABLE = 5
};
}
#endif
