/// @copyright Copyright (c) 2021- Motional. All rights reserved.
///
/// NOTICE: Removing this heading is prohibited.
///
/// All information contained herein is, and remains the property of Motional,
/// its affiliates, and its suppliers (if any). The intellectual and technical
/// concepts contained herein are proprietary to Motional, its affiliates, and
/// its suppliers (if any) and may be covered by U.S. and Foreign Patents,
/// patents in process, and are protected by trade secrets or copyright law.
/// Dissemination of this information or reproduction of this material is
/// strictly forbidden unless prior written permission is obtained from Motional.
///
/// @file
/// @brief Utility functions for deserializing ODatum types

#ifndef _ODATUM_DESERIALIZER_H_
#define _ODATUM_DESERIALIZER_H_

#include <string>

#include <ODatum/IntrospectionForwardDecl.h>

namespace odatum {
namespace deserializer {

aptv::FieldInfoPtr getFieldInfo(std::string& blob);
void printFieldInfo(std::string& blob);
std::string toJson(std::string& blob);

} // namespace deserializer
} // namespace odatum

#endif // _ODATUM_DESERIALIZER_H_
