#include <cstdio>
#include <gtest/gtest.h>

#include "gridMapCore/grid_map_core.hpp"
#include "gridMapCore/grid_map_cv.hpp"

#include "gridMapCore/BufferRegion.hpp"
#include "gridMapCore/GridMap.hpp"
#include "gridMapCore/Polygon.hpp"

namespace {

using namespace grid_map;

TEST(TestGridMapInstantiation, gridmap)
{
    ASSERT_NO_THROW(GridMap gridmap;);
}

TEST(TestGridMapInstantiation, polygon)
{
    ASSERT_NO_THROW(Polygon polygon;);
}

TEST(TestGridMapInstantiation, bufferRegion)
{
    ASSERT_NO_THROW(BufferRegion bufferRegion;);
}

} // namespace
