/**
 * \copyright
 * Copyright (c) 2021- Motional. All rights reserved.
 * NOTICE: Removing this heading is prohibited.
 * All information contained herein is, and remains the property of Motional and its suppliers, if any.
 * The intellectual and technical concepts contained herein are proprietary to Motional and its suppliers and may be
 * covered by U.S. and Foreign Patents, patents in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material is strictly forbidden unless prior written
 * permission is obtained from Motional.
 *
 */

#ifndef _TRACEEVENTFAKER_HPP_
#define _TRACEEVENTFAKER_HPP_

#include <task/Task.h>

class TraceEventFaker : public task::Task
{
public:
    explicit TraceEventFaker(const std::string& taskName);
    virtual ~TraceEventFaker() = default;

    // Task interface
    bool initialize() override;
    bool executive() override;
    void cleanup() override;

private:
    uint64_t counter_{};
};

#endif // _TRACEEVENTFAKER_HPP_
