/**
 * \copyright
 * Copyright (c) 2020- Motional. All rights reserved.
 * NOTICE: Removing this heading is prohibited.
 * All information contained herein is, and remains the property of Motional and its suppliers, if any.
 * The intellectual and technical concepts contained herein are proprietary to Motional and its suppliers and may be
 * covered by U.S. and Foreign Patents, patents in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material is strictly forbidden unless prior written
 * permission is obtained from Motional.
 *
 * \brief Defines an entry point for AV task application
 */

#include "main.def.h"

using namespace task;

/**
 * \brief The main function
 *
 * \param argc  Number of command line arguments
 * \param argv  The command line arguments
 *
 * \return Zero on success, non-zero on error
 */
int main(int argc, char** argv)
{
    return executeTask<ClosingSignalHandler, CmdLineOptProcessor, VersionPrinter, Task, TaskApplication>(argc, argv);
}
