/**
 * \copyright
 * Copyright (c) 2020- Motional. All rights reserved.
 * NOTICE: Removing this heading is prohibited.
 * All information contained herein is, and remains the property of Motional and its suppliers, if any.
 * The intellectual and technical concepts contained herein are proprietary to Motional and its suppliers and may be
 * covered by U.S. and Foreign Patents, patents in process, and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material is strictly forbidden unless prior written
 * permission is obtained from Motional.
 *
 * \brief Defines a task whose execution is infinite
 */

#include "InfiniteExeTaskTest.h"

using namespace task;

Task* Task::get()
{
    static InfiniteExeTaskTest task("InfiniteExeTaskTest");
    return &task;
}

InfiniteExeTaskTest::InfiniteExeTaskTest(const std::string& taskName)
    : Task(taskName)
{}

bool InfiniteExeTaskTest::initialize()
{
    return true;
}

bool InfiniteExeTaskTest::executive()
{
    return true;
}

void InfiniteExeTaskTest::cleanup() {}

bool InfiniteExeTaskTest::_initialize()
{
    return true;
}

bool InfiniteExeTaskTest::_executive()
{
    return true;
}

void InfiniteExeTaskTest::_cleanup() {}
